Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::OverCurrentProtectorTripSensor::TripStateChangedEvent Struct Reference

Event: Overcurrent protector trip state has changed. More...

Inheritance diagram for pdumodel::OverCurrentProtectorTripSensor::TripStateChangedEvent:

## Public Attributes
Outlet | tripCause
| Outlet that is most likely to have caused the OCP to trip.
TripEventInformation | tripInformation
| Information about the event that caused a trip event.

## Detailed Description

Event: Overcurrent protector trip state has changed.

Definition at line 26 of file OverCurrentProtectorTripSensor.idl.

## Member Data Documentation

## ◆ tripCause

Outlet pdumodel::OverCurrentProtectorTripSensor::TripStateChangedEvent::tripCause

Outlet that is most likely to have caused the OCP to trip.

Deprecated, use the tripInformation field instead.

Definition at line 27 of file OverCurrentProtectorTripSensor.idl.

## ◆ tripInformation

TripEventInformation pdumodel::OverCurrentProtectorTripSensor::TripStateChangedEvent::tripInformation

Information about the event that caused a trip event.

Definition at line 29 of file OverCurrentProtectorTripSensor.idl.

The documentation for this struct was generated from the following file:

- OverCurrentProtectorTripSensor.idl